Main Page Widgets Namespaces Book

# Gtk::DrawingArea Class Reference
[Widgets]

Inheritance diagram for Gtk::DrawingArea:

[legend]
List of all members.

## Detailed Description

A widget for custom user interface elements.

## Public Member Functions

virtual | ~DrawingArea ()
GtkDrawingArea* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkDrawingArea* | gobj () const
| Provides access to the underlying C GtkObject.
| DrawingArea ()

## Related Functions

(Note that these are not member functions.)
Gtk::DrawingArea* | wrap (GtkDrawingArea* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::DrawingArea::~DrawingArea | ( |  | ) | `[virtual]`

Gtk::DrawingArea::DrawingArea | ( |  | ) |

## Member Function Documentation

const GtkDrawingArea* Gtk::DrawingArea::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Widget. Reimplemented in Gtk::Curve.

GtkDrawingArea* Gtk::DrawingArea::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Widget. Reimplemented in Gtk::Curve.

## Friends And Related Function Documentation

Gtk::DrawingArea* wrap | ( | GtkDrawingArea* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- drawingarea.h